[Kernel][Permissive][Android13.0][NX563J]

Search This thread

Dispossible

Senior Member
Dec 17, 2018
124
33
Beijing
ZTE Nubia Z17
Honor Play
Kernel for Nubia Z17 with Permissive Based on Android 13

Overview

This kernel is based on LineageOS 20, and set SeLinux to permissive. It may be useful for GSI users.
The aim of this project is to replace permissiver_v5.zip. Because permissiver_v5.zip is broken on Android new version.
So this kernel use permissive inside, just flash the kernel and use it.
This is an opensource project with GitHub Actions, it helps to build the kernel easily. Github Link

Download(GitHub release)
HERE (stable)
Notice that: I tested the Github release kernel and I wrote the system I used.
屏幕截图 2023-04-03 235913.png

Please use the same system
(Optinal, but if you have bug may be your system is not match to my kernel)
Download(not recommend)(GitHub actions)
HERE (latest)

Install Guide
Use the same system. (Optinal)
Use TWRP flash the kernel(boot_permissive.img).
OR use "fastboot flash boot boot_permissive.img" flash the kernel(boot_permissive.img).
Then, you can flash the GSI you like and wipe data ,etc.

(notice: This kernel is with permissive inside. Dont flash permissiver_v5.zip)

Thanks
LineageOS Project

BugReport
@Dispossible
酷安@霁月难逢彩云亦散
 
Last edited:

Tims Fong

Senior Member
Aug 23, 2020
899
83
Lenovo Zuk Z2 Pro
@Tims Fong
Use pep13 20230403 version HERE
Use this permissive kernel on github release HERE
I verified them.
Dont use permissivev5, it is a very old zip, It can cause red code error.
很多GSI都要求刷permissive-v5,比如:小薪大大GSI,nipponGSI。否则无法开机。请问你有更加新的permissive版本介绍,或者你的意思是不需要刷permissive,而只要刷boot-lineageos_nx563j-202304011650,其起到的作用是一样的?
Many GSIs require permissive-v5, such as: xiaoxindada GSI, nipponGSI. Otherwise it cannot be turned on. May I ask if you have a newer permissive version introduction, or do you mean that you don’t need to flash permissive, but just flash boot-lineageos_nx563j-202304011650, which has the same effect?
 

Dispossible

Senior Member
Dec 17, 2018
124
33
Beijing
ZTE Nubia Z17
Honor Play
很多GSI都要求刷permissive-v5,比如:小薪大大GSI,nipponGSI。否则无法开机。请问你有更加新的permissive版本介绍,或者你的意思是不需要刷permissive,而只要刷boot-lineageos_nx563j-202304011650,其起到的作用是一样的?
Many GSIs require permissive-v5, such as: xiaoxindada GSI, nipponGSI. Otherwise it cannot be turned on. May I ask if you have a newer permissive version introduction, or do you mean that you don’t need to flash permissive, but just flash boot-lineageos_nx563j-202304011650, which has the same effect?
是的,这个文件里面内核是带有permissive的,不需要permissive_v5。
在比较高的安卓版本上permissive_v5会导致红字报错开不开机

Yes, this post is a kernel with permissive. Dont flash permissive_v5.
permissive_v5 will cause red code error on Android high version.